/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

#include <stdio.h>
#include <windows.h>
#include <Setupapi.h>
#include <winioctl.h>
#include <winioctl.h>
#include <cfgmgr32.h>

#define  REMOVE_USB_DISK		0
#define  _DEBUG_INFO			0

/**
 * Remove the hard drive by drive letter
 * @param DriveLetter  : the drive letter
 * @return   TRUE : pressed FALSE : fail
 */
BOOL RemoveDriveByLetter(char DriveLetter);

/**
 * Get the hard drive's device handle 
 * @param DeviceNumber  : volume's device numberd 
 * @param DriveType		: drive type 
 * @param szDosDeviceName : dos device name
 * @return   device handle
 */
DEVINST GetDrivesDevInstByDeviceNumber(long DeviceNumber, UINT DriveType, char* szDosDeviceName);


